Bug 1272380 - [ALL_LANG Except ru_RU, pt_BR][RHEL7.3][gnome-system-log] - Translation incomplete [NEEDINFO]
[ALL_LANG Except ru_RU, pt_BR][RHEL7.3][gnome-system-log] - Translation inco...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-system-log (Show other bugs)
7.3
All Linux
medium Severity low
: rc
: ---
Assigned To: Matthias Clasen
Engineering Localization bugs mailing list
: Translation
Depends On:
Blocks: 1262678
  Show dependency treegraph
 
Reported: 2015-10-16 06:00 EDT by Satyabrata Maitra
Modified: 2017-05-10 06:41 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-10 06:41:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sshedmak: needinfo? (zali)


Attachments (Terms of Use)
FAIL Category definition document (15.53 KB, application/vnd.oasis.opendocument.graphics)
2015-10-16 06:00 EDT, Satyabrata Maitra
no flags Details
Translations patch for rhel-7.3 branch (90.92 KB, patch)
2016-03-14 01:51 EDT, Parag Nemade
no flags Details | Diff
Translations patch for rhel-7.3 branch (90.75 KB, patch)
2016-06-21 07:52 EDT, Parag Nemade
no flags Details | Diff

  None (edit)
Description Satyabrata Maitra 2015-10-16 06:00:15 EDT
Created attachment 1083546 [details]
FAIL Category definition document

Description of problem:
As reported by the translators in the l10n qa event, translations for this package falls under FAIL-1, FAIL-3 and FAIL-4 Category - POT is inconsistent with UI.

Version-Release number of selected component (if applicable):
gnome-system-log-3.9.90-3.el7

How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.

Actual results:
Translations are not completed 100%

Expected results:
Translation should be completed 100% and be pulled and build in the package in order to reflect the translation work done in UI/CLI.

Additional info:
FAIL Categories are defined by l10n team lead, and the file is attached with this bug.
Comment 2 Noriko Mizumoto 2016-01-15 00:49:36 EST
could you please provide the translation stats?
Comment 3 Krishna Babu K 2016-01-15 07:04:11 EST
branch: * rhel-7.3
Name:           gnome-system-log
Version:        3.9.90
Release:        3%{?dist}
 
./gnome-system-log.pot: 0 translated messages, 76 untranslated messages.

Translated LANGs:
./de.po: 70 translated messages.
./es.po: 76 translated messages.
./fr.po: 66 translated messages.
./it.po: 70 translated messages.
./ja.po: 65 translated messages.
./ko.po: 66 translated messages.
./pt_BR.po: 70 translated messages.
./ru.po: 66 translated messages.
./zh_TW.po: 76 translated messages.
 
Fuzzy LANGs:
./zh_CN.po: 64 translated messages, 1 fuzzy translation.
 
Untranslated LANGs:
Comment 4 sandeep shedmake 2016-01-20 11:51:35 EST
From Comment 3,

Regenerated PO statistics with 'intltool-update <LANGCODE>'.


branch: * rhel-7.3
Name:           gnome-system-log
Version:        3.9.90
Release:        3%{?dist}


./gnome-system-log.pot: 0 translated messages, 76 untranslated messages.

 
./de.po: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
./es.po: 76 translated messages.
./fr.po: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
./it.po: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
./ja.po: 65 translated messages, 3 fuzzy translations, 8 untranslated messages.
./ko.po: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
./pt_BR.po: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
./ru.po: 66 translated messages, 3 fuzzy translations, 7 untranslated messages.
./zh_CN.po: 64 translated messages, 3 fuzzy translations, 9 untranslated messages.
./zh_TW.po: 76 translated messages.
Comment 5 Noriko Mizumoto 2016-01-20 11:54:57 EST
[RHEL 7.3] Assigned to Jens for rhel7.3 localization preparation.
Comment 6 Parag Nemade 2016-03-14 01:51 EDT
Created attachment 1136033 [details]
Translations patch for rhel-7.3 branch
Comment 7 sandeep shedmake 2016-04-06 06:26:21 EDT
Tested gnome-system-log-3.9.90-EL7.3_translations.patch in Comment 6,

Post applying the said patch, get following translation statistics for required LANGs:

de: 76 translated messages.
es: 76 translated messages.
fr: 76 translated messages.
it: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
ja: 76 translated messages.
ko: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
pt_BR: 76 translated messages.
ru: 76 translated messages.
zh_CN: 76 translated messages.
zh_TW: 76 translated messages.


From above,
- Except for 'it' and 'ko', all the required LANGs are 100% translated
- As per bug#1304309 comment#9, if required, separate bug would be filed later for 'it' and 'ko' to achieve 100% translation coverage

Thereby, with the said patch this bug seems resolved at the moment.

Would do the needful QA once the build is available and bug status changes to ON_QA.

Hence, requesting devel to create a new build including the gnome-system-log-3.9.90-EL7.3_translations.patch in Comment 6.
Comment 8 Satyabrata Maitra 2016-04-06 06:35:10 EDT
In my knowledge, the resource(translator) for translating Italian and Korean language is not available at this point of time, that is why may be those are not 100% translated. We take this circumstance in consideration and verify this bug against RHEL7.3 distro, with a note on this issue. Please go ahead and verify this bug, Sandeep once it is ON_QA, against the Fixed in Version that is to be provided by devel, if not anything else is failing for this one.
Comment 9 Noriko Mizumoto 2016-04-06 09:02:26 EDT
Same as bug 1272881.
I am planning to deliver those missing later development phase.
Comment 10 Noriko Mizumoto 2016-04-12 20:49:33 EDT
Hi maintainer

We have completed 8 out of 10 supported languages translation 100% for your package (de, es, fr, ja, pt-br, ru, zh-cn and zh-tw). I am planning to have second translation period in early to mid June to catch up rest 2 languages (ko and it), but can't 100% guarantee as we are in recruiting phase. So I change the status 'Assigned'. Please move ahead.
Comment 11 Parag Nemade 2016-06-21 07:52 EDT
Created attachment 1170226 [details]
Translations patch for rhel-7.3 branch
Comment 12 sandeep shedmake 2016-06-23 06:39:04 EDT
From Comment 11,

Tested 'gnome-system-log-3.9.90-EL7.3_translations.patch' i.e. attachment #1170226 [details]


Post applying the above patch, following translation statistics are obtained:

de: 76 translated messages.
es: 76 translated messages.
fr: 76 translated messages.
it: 76 translated messages.
ja: 76 translated messages.
ko: 76 translated messages.
pt_BR: 76 translated messages.
ru: 76 translated messages.
zh_CN: 76 translated messages.
zh_TW: 76 translated messages.


From above:
- With above patch, Italian (it) and Korean (ko) are now 100% translated
- Required rhel-7.3 languages are 100% translated


Thereby, requesting devel to incorporate the above patch in the forthcoming build towards effective resolution of the bug.
Comment 13 sandeep shedmake 2016-06-23 06:40:11 EDT
From Comment 12
Comment 14 sandeep shedmake 2016-06-23 06:41:01 EDT
(In reply to sandeep shedmake from comment #7)
> Tested gnome-system-log-3.9.90-EL7.3_translations.patch in Comment 6,
> 
> Post applying the said patch, get following translation statistics for
> required LANGs:
> 
> de: 76 translated messages.
> es: 76 translated messages.
> fr: 76 translated messages.
> it: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
> ja: 76 translated messages.
> ko: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
> pt_BR: 76 translated messages.
> ru: 76 translated messages.
> zh_CN: 76 translated messages.
> zh_TW: 76 translated messages.
> 
> 
> From above,
> - Except for 'it' and 'ko', all the required LANGs are 100% translated
> - As per bug#1304309 comment#9, if required, separate bug would be filed
> later for 'it' and 'ko' to achieve 100% translation coverage
> 
> Thereby, with the said patch this bug seems resolved at the moment.
> 
> Would do the needful QA once the build is available and bug status changes
> to ON_QA.
> 
> Hence, requesting devel to create a new build including the
> gnome-system-log-3.9.90-EL7.3_translations.patch in Comment 6.
Comment 15 sandeep shedmake 2016-06-23 06:48:04 EDT
(In reply to sandeep shedmake from comment #13)
> From Comment 12
Comment 16 sandeep shedmake 2016-08-26 06:13:58 EDT
Tested 'gnome-system-log-3.9.90-3.el7' for translation coverage of required rhel-7.3 languages:
 
de: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
es: 76 translated messages.
fr: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
it: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
ja: 65 translated messages, 3 fuzzy translations, 8 untranslated messages.
ko: 66 translated messages, 2 fuzzy translations, 8 untranslated messages.
pt_BR: 70 translated messages, 2 fuzzy translations, 4 untranslated messages.
ru: 66 translated messages, 3 fuzzy translations, 7 untranslated messages.
zh_CN: 64 translated messages, 3 fuzzy translations, 9 untranslated messages.
zh_TW: 76 translated messages.
 
./gnome-system-log.pot: 0 translated messages, 76 untranslated messages.


Thanks
Comment 17 Noriko Mizumoto 2016-08-30 01:01:45 EDT
As per comment #11, the patch has been provided for 100% translation.
If the stat of comment #16 is the result of silent update identified, it is too late for l10n team to update. Please re-flag to rhel-7.4.
Comment 19 sandeep shedmake 2016-09-21 06:45:39 EDT
(In reply to Noriko Mizumoto from comment #17)
> As per comment #11, the patch has been provided for 100% translation.
> If the stat of comment #16 is the result of silent update identified, it is
> too late for l10n team to update. Please re-flag to rhel-7.4.

Proposing this bug to rhel-7.4
Comment 20 Ludek Janda 2017-05-10 06:41:11 EDT
This bug won't be fixed during our RHEL 7.4 localization effort as this particular package is not on our reviewed and updated list of selected packages (Tier0): 
https://docs.google.com/spreadsheets/d/1lGW7rvpIJxY6V0S2_Y7j49KU_vYDPDj3B9DD-war8Vs/edit#gid=0 

This ticket may be reopen for any future releases if fixing work are planned in future.

Note You need to log in before you can comment on or make changes to this bug.